Subject: 30.0.50; Gnus: No such function: nnfolder-server-opened

From: Gerd Möllmann <[email-masked]>
Date: Tue, 22 Aug 2023 07:18:14 +0200

I get the following error when starting Gnus with M-x gnus.

  No such function: nnfolder-server-opened

The function nnfolder-server-opened is indeed defined nowhere I can
find.  In case it matters, I had a Gnus autosave file.  After M-x gnus,
I answered 'n' to the question if the autosave file should be used.
After that, the error is signaled.

In GNU Emacs 30.0.50 (build 1, aarch64-apple-darwin22.6.0, NS
 appkit-2299.70 Version 13.5 (Build 22G74)) of 2023-08-21 built on
 Mini.fritz.box
Repository revision: 18c85306ac211402e4772bdb94b63d300a2ac119
Repository branch: master
Windowing system distributor 'Apple', version 10.3.2299
System Description:  macOS 13.5